Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.core.v4.compounding.common
Class SynonymType

    java.lang.Object
      be.fgov.ehealth.dics.core.v4.compounding.common.SynonymType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:31+01:00",
               comments="JAXB RI v2.2.11")
    public class SynonymType

extends Object
implements Serializable

Java class for SynonymType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SynonymType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>string">
           <attribute ref="{http://www.w3.org/XML/1998/namespace}lang"/>
           <attribute name="Rank" type="{http://www.w3.org/2001/XMLSchema}int" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SynonymType()`

Method Summary
`String` | `getLang()` Gets the value of the lang property.
`Integer` | `getRank()` Gets the value of the rank property.
`String` | `getValue()` Gets the value of the value property.
`void` | `setLang(String value)` Sets the value of the lang property.
`void` | `setRank(Integer value)` Sets the value of the rank property.
`void` | `setValue(String value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SynonymType

    public SynonymType()

Method Detail

### getValue

    public String getValue()

  Gets the value of the value property.

  Returns:
    possible object is `String`

### setValue

    public void setValue(String value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `String`

### getLang

    public String getLang()

  Gets the value of the lang property.

  Returns:
    possible object is `String`

### setLang

    public void setLang(String value)

  Sets the value of the lang property.

  Parameters:
    `value` - allowed object is `String`

### getRank

    public Integer getRank()

  Gets the value of the rank property.

  Returns:
    possible object is `Integer`

### setRank

    public void setRank(Integer value)

  Sets the value of the rank property.

  Parameters:
    `value` - allowed object is `Integer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.